PSW_MONO_IMAGE(3)

FUNCTION
psw_mono_image - Write a monochrome image to a PostScriptPage object.

SYNOPSIS
#include <karma_psw.h>

flag psw_mono_image

(PostScriptPage pspage, CONST unsigned char *image, unsigned int xlen, unsigned int ylen, CONST uaddr *xoffsets, CONST uaddr *yoffsets, CONST unsigned char imap[256], double xstart, double ystart, double xend, double yend)

DESCRIPTION
Write a monochrome image to a PostScriptPage object.

pspage
    The PostScriptPage object.

image
    The image.

xlen
    The horizontal size of the image (in pixels).

ylen
    The vertical size of the image (in pixels).

xoffsets
    The horizontal offset array. If this is NULL, the image data is assumed to be contiguous in memory.

yoffsets
    The vertical offset array. If this is NULL, the image data is assumed to be contiguous in memory.

imap
    The intensity mapping to use. If this is NULL, a linear mapping is used (0 = black, 255 = white).

xstart
    The x starting point (scaled from 0.0 to 1.0).

ystart
    The y starting point (scaled from 0.0 to 1.0).

xend
    The x ending point (scaled from 0.0 to 1.0).

yend
    The y ending point (scaled from 0.0 to 1.0).

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/